WHEREIS(1)

NAME
whereis - locate programs

SYNOPSIS
whereis [-a] name ...

DESCRIPTION
The whereis utility checks the standard binary directories for the specified name, printing out the paths of any it finds that are executable by the user.

The path searched is the string returned by the sysctl(8) utility for the “user.cs_path” string.

If the -a flag is given, whereis will return a list of all matches instead of just the first match.

EXIT STATUS
The whereis utility exits with one of the following values:

0   All names were successfully resolved.
1   Some names were resolved but not all.
2   No names were resolved.

SEE ALSO
apropos(1), find(1), locate(1), which(1), sysctl(8)

HISTORY
The whereis command first appeared in 2BSD, but the original version was legally tainted and was not included as part of the 4.4BSD release, such that most of the original functionality was lost.

The -a option first appeared in OpenBSD 2.3.

AUTHORS
The original version was written by Bill Joy.